# missing test deps in Fedora
%global enable_tests 0

%global srcname sinon
%global gitname Sinon.JS

%global commit0 38799cceb076a8190f60a41da234dcef0292ef64
%global gittag0 v1.16.1
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name:           nodejs-%{srcname}
Version:        1.16.1
Release:        1%{?dist}
Summary:        Test spies, stubs and mocks for JavaScript
License:        BSD
URL:            https://github.com/cjohansen/Sinon.JS
# use github as source, npm package does not contain tests
Source0:        https://github.com/cjohansen/%{gitname}/archive/%{commit0}/%{gitname}-%{commit0}.tar.gz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(buster)
BuildRequires:  npm(buster-core)
BuildRequires:  npm(buster-istanbul)
BuildRequires:  npm(eslint)
BuildRequires:  npm(eslint-config-defaults)
BuildRequires:  npm(jscs)
BuildRequires:  npm(pre-commit)
%endif

%description
Standalone and test framework agnostic JavaScript test spies, stubs and mocks.

%prep
%setup -q -n %{gitname}-%{commit0}
rm -rf node_modules/
%nodejs_fixdep formatio '1.x'

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json lib/ %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
./scripts/ci-test.sh
%endif

%files
%doc AUTHORS Changelog.txt CONTRIBUTING.md README.md RELEASE.md
%license LICENSE
%{nodejs_sitelib}/%{srcname}

%changelog
* Sat Aug 29 2015 Piotr Popieluch <piotr1212@gmail.com> - 1.16.1-1
- Update to upstream 1.16.1

* Mon Mar 23 2015 Piotr Popieluch <piotr1212@gmail.com> - 1.14.1-1
- Update to upstream 1.14.1

* Tue Nov 18 2014 Piotr Popieluch <piotr1212@gmail.com> - 1.12.1-1
- Initial package
